FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202109031411.p0.git.eb8656e.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109031411.p0.git.eb8656e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=eb8656e OS_GIT_VERSION=4.8.0-202109031411.p0.git.eb8656e.assembly.stream-eb8656e SOURCE_DATE_EPOCH=1630672495 SOURCE_GIT_COMMIT=eb8656e9dfb4e6945ba8a7776433bc19e9397ba8 SOURCE_GIT_TAG=eb8656e9 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-openstack 
WORKDIR /go/src/sigs.k8s.io/cluster-api-provider-openstack
COPY . .

RUN go build -o ./machine-controller-manager ./cmd/manager

FROM openshift/ose-base:v4.8.0-202108312109.p0.git.ad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202109031411.p0.git.eb8656e.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109031411.p0.git.eb8656e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=eb8656e OS_GIT_VERSION=4.8.0-202109031411.p0.git.eb8656e.assembly.stream-eb8656e SOURCE_DATE_EPOCH=1630672495 SOURCE_GIT_COMMIT=eb8656e9dfb4e6945ba8a7776433bc19e9397ba8 SOURCE_GIT_TAG=eb8656e9 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-openstack 

COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-openstack/machine-controller-manager /

LABEL \
        name="openshift/ose-openstack-machine-controllers" \
        com.redhat.component="ose-openstack-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="OpenStack Provider" \
        release="202109031411.p0.git.eb8656e.assembly.stream" \
        io.openshift.build.commit.id="eb8656e9dfb4e6945ba8a7776433bc19e9397ba8" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-openstack" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-openstack/commit/eb8656e9dfb4e6945ba8a7776433bc19e9397ba8" \
        version="v4.8.0"

